var searchData=
[
  ['efficient_20algorithms_20and_20models_0',['I/O-efficient Algorithms and Models',['../introduction.html#introduction_io_model',1,'']]],
  ['efficient_20sequential_20reading_20and_20writing_20to_20vectors_1',['Efficient Sequential Reading and Writing to Vectors',['../tutorial_vector_buf.html',1,'tutorial']]],
  ['elements_2',['elements',['../tutorial_vector.html#autotoc_md132',1,'Access elements'],['../tutorial_deque.html#autotoc_md87',1,'Access elements'],['../tutorial_sequence.html#autotoc_md112',1,'Access elements'],['../tutorial_map.html#autotoc_md93',1,'Access elements'],['../tutorial_sorter.html#autotoc_md119',1,'Access sorted elements'],['../tutorial_map.html#autotoc_md94',1,'Delete elements'],['../tutorial_deque.html#autotoc_md88',1,'Delete elements'],['../tutorial_sequence.html#autotoc_md113',1,'Delete elements'],['../tutorial_vector.html#autotoc_md133',1,'Delete elements'],['../tutorial_stack.html#autotoc_md123',1,'Insert / Access / Delete elements'],['../tutorial_pqueue.html#autotoc_md103',1,'Insert / Access / Delete elements'],['../tutorial_queue.html#autotoc_md107',1,'Insert / Access / Delete elements'],['../tutorial_matrix.html#autotoc_md98',1,'Insert / Access elements'],['../tutorial_sorter.html#autotoc_md117',1,'Insert elements'],['../tutorial_map.html#autotoc_md92',1,'Insert elements'],['../tutorial_deque.html#autotoc_md86',1,'Insert elements'],['../tutorial_sequence.html#autotoc_md111',1,'Insert elements'],['../tutorial_vector.html#autotoc_md131',1,'Insert elements'],['../tutorial_sorter.html#autotoc_md118',1,'Sorting all elements']]],
  ['elements_20in_20external_20memory_20data_20structures_3',['References to Elements in External Memory Data Structures',['../faq.html#faq_nonPODs',1,'']]],
  ['empty_4',['empty',['../tutorial_stack.html#autotoc_md124',1,'Determine size  / Check whether stack is empty'],['../tutorial_queue.html#autotoc_md108',1,'Determine size / Check whether queue is empty'],['../tutorial_deque.html#autotoc_md89',1,'Determine size / Check whether the deque is empty'],['../tutorial_map.html#autotoc_md95',1,'Determine size / Check whether the map is empty'],['../tutorial_sorter.html#autotoc_md120',1,'Determine size / Check whether the map is empty'],['../tutorial_pqueue.html#autotoc_md104',1,'Determine size / Check whether the priority queue is empty'],['../tutorial_sequence.html#autotoc_md114',1,'Determine size / Check whether the sequence is empty'],['../tutorial_vector.html#autotoc_md134',1,'Determine size / Check whether vector is empty']]],
  ['engineering_20for_20large_20data_20sets_5',['Algorithm Engineering for Large Data Sets',['../introduction.html#introduction_algorithm_engineering',1,'']]],
  ['example_6',['example',['../tutorial_stream.html#stream1',1,'Abstraction, Interface and a Simple Example'],['../design_algo_ksort.html#autotoc_md39',1,'Example'],['../design_algo_generate.html#autotoc_md45',1,'Example'],['../design_algo_sort.html#autotoc_md29',1,'Example'],['../design_algo_foreach.html#autotoc_md51',1,'Example'],['../design_algo_foreachm.html#autotoc_md57',1,'Example'],['../design_algo_find.html#autotoc_md63',1,'Example']]],
  ['example_20for_20stxxl_3a_3agrow_5fshrink_5fstack2_7',['Example for stxxl::grow_shrink_stack2',['../design_stack.html#autotoc_md17',1,'']]],
  ['example_20of_20stxxl_20s_20matrix_8',['A minimal working example of STXXL&apos;s Matrix',['../tutorial_matrix.html#autotoc_md101',1,'']]],
  ['example_20of_20stxxl_20s_20priority_20queue_9',['A minimal working example of STXXL&apos;s priority queue',['../tutorial_pqueue.html#autotoc_md105',1,'']]],
  ['example_20of_20stxxl_20s_20queue_10',['A minimal working example of STXXL&apos;s queue',['../tutorial_queue.html#autotoc_md109',1,'']]],
  ['example_20of_20stxxl_20s_20sorter_11',['A minimal working example of STXXL&apos;s sorter',['../tutorial_sorter.html#autotoc_md121',1,'']]],
  ['example_20of_20stxxl_20s_20stack_12',['A minimal working example of STXXL&apos;s stack',['../tutorial_stack.html#autotoc_md125',1,'']]],
  ['example_20of_20stxxl_20s_20vector_13',['A minimal working example of STXXL&apos;s vector',['../tutorial_vector.html#autotoc_md135',1,'']]],
  ['example_20on_20stxxl_20map_14',['A minimal working example on STXXL Map',['../tutorial_map.html#autotoc_md96',1,'']]],
  ['example_20on_20stxxl_20s_20deque_15',['A minimal example on STXXL&apos;s deque',['../tutorial_deque.html#autotoc_md90',1,'']]],
  ['example_20on_20stxxl_20s_20sequence_16',['A minimal working example on STXXL&apos;s sequence',['../tutorial_sequence.html#autotoc_md115',1,'']]],
  ['example_20on_20stxxl_20unordered_20map_17',['A minimal working example on STXXL Unordered Map',['../tutorial_unordered_map.html#autotoc_md129',1,'']]],
  ['examples_18',['examples',['../design_algo_ksort.html#autotoc_md34',1,'Examples'],['../design_algo_sort.html#autotoc_md24',1,'Examples'],['../tutorial.html',1,'Tutorials and Examples']]],
  ['examples_20and_20real_20applications_19',['More Examples and Real Applications',['../tutorial.html#autotoc_md84',1,'']]],
  ['examples_3a_20',['examples:',['../design_stack.html#autotoc_md16',1,'Examples:'],['../design_vector.html#autotoc_md8',1,'Examples:']]],
  ['exception_21',['Macros for Throwing Exception',['../common_throw.html',1,'common']]],
  ['expression_20semantics_22',['Expression semantics',['../design_pipeline.html#autotoc_md66',1,'']]],
  ['expressions_23',['Valid expressions',['../design_pipeline.html#autotoc_md65',1,'']]],
  ['external_20memory_24',['Introduction to External Memory',['../introduction.html',1,'index']]],
  ['external_20memory_20consumption_25',['external memory consumption',['../design_algo_ksort.html#autotoc_md38',1,'External Memory Consumption'],['../design_algo_sort.html#autotoc_md28',1,'External Memory Consumption']]],
  ['external_20memory_20data_20structures_26',['References to Elements in External Memory Data Structures',['../faq.html#faq_nonPODs',1,'']]],
  ['external_20memory_20files_27',['Precreating External Memory Files',['../install_config.html#install_config_precreation',1,'']]],
  ['extractor_20concept_28',['Key Extractor Concept',['../design_algo_ksort.html#design_algo_ksort_key_extractor',1,'']]]
];
